<?php

declare(strict_types=1);

namespace MonsieurBiz\SyliusSearchPlugin\Factory\GridConfig;

use MonsieurBiz\SyliusSearchPlugin\Model\Config\GridConfigInterface;
use Sylius\Component\Core\Model\TaxonInterface;
use Symfony\Component\HttpFoundation\Request;

interface GridConfigFactoryInterface
{
    public function create(string $type, Request $request, ?TaxonInterface $taxon = null, array $gridConfig = []): GridConfigInterface;
}
