<?php

declare(strict_types=1);

namespace MonsieurBiz\SyliusSearchPlugin\Factory\ResultSet;

use Elastica\ResultSet as ElasticaResultSet;
use MonsieurBiz\SyliusSearchPlugin\Model\Document\ResultSetInterface;
use Sylius\Component\Core\Model\TaxonInterface;

interface ResultSetFactoryInterface
{
    public function create(int $maxItems, int $page, ?ElasticaResultSet $resultSet = null, ?TaxonInterface $taxon = null): ResultSetInterface;
}
